SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Plans

Get plan

GET/api/v1/plans/:id

Returns a single plan by ID.

No authentication required
Public

Path parameters

idstringrequired
Plan ID.
Request
curl --request GET \
  --url https://api.swiftgoma.com/api/v1/plans/:id
200Example response
{
  "success": true,
  "data": {
    "id": "plan_starter",
    "slug": "starter",
    "name": "Starter",
    "maxProducts": 20,
    "maxPhotosPerProduct": 5,
    "maxShops": 1,
    "prioritySupport": false,
    "isActive": true,
    "sortOrder": 0,
    "prices": [
      {
        "billingCycle": "MONTHLY",
        "currency": "USD",
        "amount": "10.00"
      },
      {
        "billingCycle": "YEARLY",
        "currency": "USD",
        "amount": "100.00"
      }
    ]
  }
}